Index: src/common/command.c
===================================================================
RCS file: /sources/weechat/weechat/src/common/command.c,v
retrieving revision 1.164
diff -u -d -p -B -r1.164 command.c
--- src/common/command.c	16 Mar 2007 08:40:11 -0000	1.164
+++ src/common/command.c	23 Mar 2007 11:16:59 -0000
@@ -2830,13 +2830,13 @@ weechat_cmd_server (t_irc_server *server
             if (argv[i][0] == '-')
             {
                 if (ascii_strcasecmp (argv[i], "-auto") == 0)
-                    server_tmp.autoconnect = 1;
+                    SERVER_SET(&server_tmp, autoconnect, 1);
                 if (ascii_strcasecmp (argv[i], "-noauto") == 0)
-                    server_tmp.autoconnect = 0;
+                    SERVER_SET(&server_tmp, autoconnect, 0);
                 if (ascii_strcasecmp (argv[i], "-ipv6") == 0)
-                    server_tmp.ipv6 = 1;
+                    SERVER_SET(&server_tmp, ipv6, 1);
                 if (ascii_strcasecmp (argv[i], "-ssl") == 0)
-                    server_tmp.ssl = 1;
+                    SERVER_SET(&server_tmp, ssl, 1);
                 if (ascii_strcasecmp (argv[i], "-pwd") == 0)
                 {
                     if (i == (argc - 1))
@@ -2861,9 +2861,9 @@ weechat_cmd_server (t_irc_server *server
                         server_destroy (&server_tmp);
                         return -1;
                     }
-                    server_tmp.nick1 = strdup (argv[++i]);
-                    server_tmp.nick2 = strdup (argv[++i]);
-                    server_tmp.nick3 = strdup (argv[++i]);
+                    SERVER_SET(&server_tmp, nick1, strdup(argv[++i]));
+                    SERVER_SET(&server_tmp, nick2, strdup(argv[++i]));
+                    SERVER_SET(&server_tmp, nick3, strdup(argv[++i]));
                 }
                 if (ascii_strcasecmp (argv[i], "-username") == 0)
                 {
@@ -2876,7 +2876,7 @@ weechat_cmd_server (t_irc_server *server
                         server_destroy (&server_tmp);
                         return -1;
                     }
-                    server_tmp.username = strdup (argv[++i]);
+                    SERVER_SET(&server_tmp, username, strdup(argv[++i]));
                 }
                 if (ascii_strcasecmp (argv[i], "-realname") == 0)
                 {
@@ -2889,7 +2889,7 @@ weechat_cmd_server (t_irc_server *server
                         server_destroy (&server_tmp);
                         return -1;
                     }
-                    server_tmp.realname = strdup (argv[++i]);
+                    SERVER_SET(&server_tmp, realname, strdup(argv[++i]));
                 }
                 if (ascii_strcasecmp (argv[i], "-command") == 0)
                 {
@@ -2921,16 +2921,7 @@ weechat_cmd_server (t_irc_server *server
         }
         
         /* create new server */
-        new_server = server_new (server_tmp.name, server_tmp.autoconnect,
-                                 server_tmp.autoreconnect,
-                                 server_tmp.autoreconnect_delay,
-                                 0, server_tmp.address, server_tmp.port,
-                                 server_tmp.ipv6, server_tmp.ssl,
-                                 server_tmp.password, server_tmp.nick1,
-                                 server_tmp.nick2, server_tmp.nick3,
-                                 server_tmp.username, server_tmp.realname,
-                                 server_tmp.hostname,
-                                 server_tmp.command, 1, server_tmp.autojoin, 1, NULL);
+        new_server = server_clone(&server_tmp);
         if (new_server)
         {
             irc_display_prefix (NULL, NULL, PREFIX_INFO);
@@ -2949,7 +2940,7 @@ weechat_cmd_server (t_irc_server *server
             return -1;
         }
         
-        if (new_server->autoconnect)
+        if (SERVER_GET(new_server, autoconnect))
         {
             (void) gui_buffer_new (window, new_server, NULL,
                                    BUFFER_TYPE_STANDARD, 1);
@@ -2966,7 +2957,7 @@ weechat_cmd_server (t_irc_server *server
  */
 
 void
-weechat_cmd_set_display_option (t_config_option *option, char *prefix, void *value)
+weechat_cmd_set_display_option (t_config_option *option, char *prefix, const void *value)
 {
     char *color_name, *value2;
     
@@ -3047,7 +3038,7 @@ weechat_cmd_set (t_irc_server *server, t
     t_config_option *ptr_option;
     t_irc_server *ptr_server;
     char option_name[256];
-    void *ptr_option_value;
+    const void *ptr_option_value;
     int last_section, last_option, number_found;
     
     /* make C compiler happy */
@@ -3138,7 +3129,7 @@ weechat_cmd_set (t_irc_server *server, t
                         if (weechat_options[CONFIG_SECTION_SERVER][i].option_name)
                         {
                             ptr_option_value = config_get_server_option_ptr (ptr_server,
-                                weechat_options[CONFIG_SECTION_SERVER][i].option_name);
+                                &weechat_options[CONFIG_SECTION_SERVER][i]);
                             weechat_cmd_set_display_option (&weechat_options[CONFIG_SECTION_SERVER][i],
                                                             ptr_server->name,
                                                             ptr_option_value);
@@ -3262,7 +3253,7 @@ weechat_cmd_set (t_irc_server *server, t
                         section_displayed = 1;
                     }
                     ptr_option_value = config_get_server_option_ptr (ptr_server,
-                        weechat_options[CONFIG_SECTION_SERVER][i].option_name);
+                        &weechat_options[CONFIG_SECTION_SERVER][i]);
                     if (ptr_option_value)
                     {
                         weechat_cmd_set_display_option (&weechat_options[CONFIG_SECTION_SERVER][i],
Index: src/common/session.c
===================================================================
RCS file: /sources/weechat/weechat/src/common/session.c,v
retrieving revision 1.32
diff -u -d -p -B -r1.32 session.c
--- src/common/session.c	20 Mar 2007 12:22:32 -0000	1.32
+++ src/common/session.c	23 Mar 2007 11:16:59 -0000
@@ -217,26 +217,42 @@ session_save_servers (FILE *file)
     {
         rc = rc && (session_write_id  (file, SESSION_OBJ_SERVER));
         rc = rc && (session_write_str (file, SESSION_SERV_NAME, ptr_server->name));
-        rc = rc && (session_write_int (file, SESSION_SERV_AUTOCONNECT, ptr_server->autoconnect));
-        rc = rc && (session_write_int (file, SESSION_SERV_AUTORECONNECT, ptr_server->autoreconnect));
-        rc = rc && (session_write_int (file, SESSION_SERV_AUTORECONNECT_DELAY, ptr_server->autoreconnect_delay));
         rc = rc && (session_write_int (file, SESSION_SERV_COMMAND_LINE, ptr_server->command_line));
         rc = rc && (session_write_str (file, SESSION_SERV_ADDRESS, ptr_server->address));
         rc = rc && (session_write_int (file, SESSION_SERV_PORT, ptr_server->port));
-        rc = rc && (session_write_int (file, SESSION_SERV_IPV6, ptr_server->ipv6));
-        rc = rc && (session_write_int (file, SESSION_SERV_SSL, ptr_server->ssl));
         rc = rc && (session_write_str (file, SESSION_SERV_PASSWORD, ptr_server->password));
-        rc = rc && (session_write_str (file, SESSION_SERV_NICK1, ptr_server->nick1));
-        rc = rc && (session_write_str (file, SESSION_SERV_NICK2, ptr_server->nick2));
-        rc = rc && (session_write_str (file, SESSION_SERV_NICK3, ptr_server->nick3));
-        rc = rc && (session_write_str (file, SESSION_SERV_USERNAME, ptr_server->username));
-        rc = rc && (session_write_str (file, SESSION_SERV_REALNAME, ptr_server->realname));
-        rc = rc && (session_write_str (file, SESSION_SERV_HOSTNAME, ptr_server->hostname));
         rc = rc && (session_write_str (file, SESSION_SERV_COMMAND, ptr_server->command));
-        rc = rc && (session_write_int (file, SESSION_SERV_COMMAND_DELAY, ptr_server->command_delay));
         rc = rc && (session_write_str (file, SESSION_SERV_AUTOJOIN, ptr_server->autojoin));
-        rc = rc && (session_write_int (file, SESSION_SERV_AUTOREJOIN, ptr_server->autorejoin));
         rc = rc && (session_write_str (file, SESSION_SERV_NOTIFY_LEVELS, ptr_server->notify_levels));
+        
+        rc = rc && (session_write_int (file, SESSION_SERV_ISSET_AUTOCONNECT, ptr_server->isset.autoconnect));
+        rc = rc && (session_write_int (file, SESSION_SERV_ISSET_AUTORECONNECT, ptr_server->isset.autoreconnect));
+        rc = rc && (session_write_int (file, SESSION_SERV_ISSET_AUTORECONNECT_DELAY, ptr_server->isset.autoreconnect_delay));
+        rc = rc && (session_write_int (file, SESSION_SERV_ISSET_IPV6, ptr_server->isset.ipv6));
+        rc = rc && (session_write_int (file, SESSION_SERV_ISSET_SSL, ptr_server->isset.ssl));
+        rc = rc && (session_write_int (file, SESSION_SERV_ISSET_NICK1, ptr_server->isset.nick1));
+        rc = rc && (session_write_int (file, SESSION_SERV_ISSET_NICK2, ptr_server->isset.nick2));
+        rc = rc && (session_write_int (file, SESSION_SERV_ISSET_NICK3, ptr_server->isset.nick3));
+        rc = rc && (session_write_int (file, SESSION_SERV_ISSET_USERNAME, ptr_server->isset.username));
+        rc = rc && (session_write_int (file, SESSION_SERV_ISSET_REALNAME, ptr_server->isset.realname));
+        rc = rc && (session_write_int (file, SESSION_SERV_ISSET_HOSTNAME, ptr_server->isset.hostname));
+        rc = rc && (session_write_int (file, SESSION_SERV_ISSET_COMMAND_DELAY, ptr_server->isset.command_delay));
+        rc = rc && (session_write_int (file, SESSION_SERV_ISSET_AUTOREJOIN, ptr_server->isset.autorejoin));
+        
+        rc = rc && (session_write_int (file, SESSION_SERV_SETTING_AUTOCONNECT, ptr_server->setting.autoconnect));
+        rc = rc && (session_write_int (file, SESSION_SERV_SETTING_AUTORECONNECT, ptr_server->setting.autoreconnect));
+        rc = rc && (session_write_int (file, SESSION_SERV_SETTING_AUTORECONNECT_DELAY, ptr_server->setting.autoreconnect_delay));
+        rc = rc && (session_write_int (file, SESSION_SERV_SETTING_IPV6, ptr_server->setting.ipv6));
+        rc = rc && (session_write_int (file, SESSION_SERV_SETTING_SSL, ptr_server->setting.ssl));
+        rc = rc && (session_write_str (file, SESSION_SERV_SETTING_NICK1, ptr_server->setting.nick1));
+        rc = rc && (session_write_str (file, SESSION_SERV_SETTING_NICK2, ptr_server->setting.nick2));
+        rc = rc && (session_write_str (file, SESSION_SERV_SETTING_NICK3, ptr_server->setting.nick3));
+        rc = rc && (session_write_str (file, SESSION_SERV_SETTING_USERNAME, ptr_server->setting.username));
+        rc = rc && (session_write_str (file, SESSION_SERV_SETTING_REALNAME, ptr_server->setting.realname));
+        rc = rc && (session_write_str (file, SESSION_SERV_SETTING_HOSTNAME, ptr_server->setting.hostname));
+        rc = rc && (session_write_int (file, SESSION_SERV_SETTING_COMMAND_DELAY, ptr_server->setting.command_delay));
+        rc = rc && (session_write_int (file, SESSION_SERV_SETTING_AUTOREJOIN, ptr_server->setting.autorejoin));
+        
         rc = rc && (session_write_int (file, SESSION_SERV_CHILD_PID, ptr_server->child_pid));
         rc = rc && (session_write_int (file, SESSION_SERV_CHILD_READ, ptr_server->child_read));
         rc = rc && (session_write_int (file, SESSION_SERV_CHILD_WRITE, ptr_server->child_write));
@@ -872,65 +888,101 @@ session_load_server (FILE *file)
         {
             case SESSION_SERV_END:
                 return 1;
-            case SESSION_SERV_AUTOCONNECT:
-                rc = rc && (session_read_int (file, &(session_current_server->autoconnect)));
-                break;
-            case SESSION_SERV_AUTORECONNECT:
-                rc = rc && (session_read_int (file, &(session_current_server->autoreconnect)));
-                break;
-            case SESSION_SERV_AUTORECONNECT_DELAY:
-                rc = rc && (session_read_int (file, &(session_current_server->autoreconnect_delay)));
-                break;
-            case SESSION_SERV_COMMAND_LINE:
-                rc = rc && (session_read_int (file, &(session_current_server->command_line)));
-                break;
             case SESSION_SERV_ADDRESS:
                 rc = rc && (session_read_str (file, &(session_current_server->address)));
                 break;
             case SESSION_SERV_PORT:
                 rc = rc && (session_read_int (file, &(session_current_server->port)));
                 break;
-            case SESSION_SERV_IPV6:
-                rc = rc && (session_read_int (file, &(session_current_server->ipv6)));
-                break;
-            case SESSION_SERV_SSL:
-                rc = rc && (session_read_int (file, &(session_current_server->ssl)));
-                break;
             case SESSION_SERV_PASSWORD:
                 rc = rc && (session_read_str (file, &(session_current_server->password)));
                 break;
-            case SESSION_SERV_NICK1:
-                rc = rc && (session_read_str (file, &(session_current_server->nick1)));
+            case SESSION_SERV_COMMAND:
+                rc = rc && (session_read_str (file, &(session_current_server->command)));
                 break;
-            case SESSION_SERV_NICK2:
-                rc = rc && (session_read_str (file, &(session_current_server->nick2)));
+            case SESSION_SERV_AUTOJOIN:
+                rc = rc && (session_read_str (file, &(session_current_server->autojoin)));
                 break;
-            case SESSION_SERV_NICK3:
-                rc = rc && (session_read_str (file, &(session_current_server->nick3)));
+            case SESSION_SERV_NOTIFY_LEVELS:
+                rc = rc && (session_read_str (file, &(session_current_server->notify_levels)));
                 break;
-            case SESSION_SERV_USERNAME:
-                rc = rc && (session_read_str (file, &(session_current_server->username)));
+            case SESSION_SERV_ISSET_AUTOCONNECT:
+                rc = rc && (session_read_int (file, &(session_current_server->isset.autoconnect)));
                 break;
-            case SESSION_SERV_REALNAME:
-                rc = rc && (session_read_str (file, &(session_current_server->realname)));
+            case SESSION_SERV_ISSET_AUTORECONNECT:
+                rc = rc && (session_read_int (file, &(session_current_server->isset.autoreconnect)));
                 break;
-            case SESSION_SERV_HOSTNAME:
-                rc = rc && (session_read_str (file, &(session_current_server->hostname)));
+            case SESSION_SERV_ISSET_AUTORECONNECT_DELAY:
+                rc = rc && (session_read_int (file, &(session_current_server->isset.autoreconnect_delay)));
                 break;
-            case SESSION_SERV_COMMAND:
-                rc = rc && (session_read_str (file, &(session_current_server->command)));
+            case SESSION_SERV_ISSET_IPV6:
+                rc = rc && (session_read_int (file, &(session_current_server->isset.ipv6)));
                 break;
-            case SESSION_SERV_COMMAND_DELAY:
-                rc = rc && (session_read_int (file, &(session_current_server->command_delay)));
+            case SESSION_SERV_ISSET_SSL:
+                rc = rc && (session_read_int (file, &(session_current_server->isset.ssl)));
                 break;
-            case SESSION_SERV_AUTOJOIN:
-                rc = rc && (session_read_str (file, &(session_current_server->autojoin)));
+            case SESSION_SERV_ISSET_NICK1:
+                rc = rc && (session_read_int (file, &(session_current_server->isset.nick1)));
                 break;
-            case SESSION_SERV_AUTOREJOIN:
-                rc = rc && (session_read_int (file, &(session_current_server->autorejoin)));
+            case SESSION_SERV_ISSET_NICK2:
+                rc = rc && (session_read_int (file, &(session_current_server->isset.nick2)));
                 break;
-            case SESSION_SERV_NOTIFY_LEVELS:
-                rc = rc && (session_read_str (file, &(session_current_server->notify_levels)));
+            case SESSION_SERV_ISSET_NICK3:
+                rc = rc && (session_read_int (file, &(session_current_server->isset.nick3)));
+                break;
+            case SESSION_SERV_ISSET_USERNAME:
+                rc = rc && (session_read_int (file, &(session_current_server->isset.username)));
+                break;
+            case SESSION_SERV_ISSET_REALNAME:
+                rc = rc && (session_read_int (file, &(session_current_server->isset.realname)));
+                break;
+            case SESSION_SERV_ISSET_HOSTNAME:
+                rc = rc && (session_read_int (file, &(session_current_server->isset.hostname)));
+                break;
+            case SESSION_SERV_ISSET_COMMAND_DELAY:
+                rc = rc && (session_read_int (file, &(session_current_server->isset.command_delay)));
+                break;
+            case SESSION_SERV_ISSET_AUTOREJOIN:
+                rc = rc && (session_read_int (file, &(session_current_server->isset.autorejoin)));
+                break;
+            case SESSION_SERV_SETTING_AUTOCONNECT:
+                rc = rc && (session_read_int (file, &(session_current_server->setting.autoconnect)));
+                break;
+            case SESSION_SERV_SETTING_AUTORECONNECT:
+                rc = rc && (session_read_int (file, &(session_current_server->setting.autoreconnect)));
+                break;
+            case SESSION_SERV_SETTING_AUTORECONNECT_DELAY:
+                rc = rc && (session_read_int (file, &(session_current_server->setting.autoreconnect_delay)));
+                break;
+            case SESSION_SERV_SETTING_IPV6:
+                rc = rc && (session_read_int (file, &(session_current_server->setting.ipv6)));
+                break;
+            case SESSION_SERV_SETTING_SSL:
+                rc = rc && (session_read_int (file, &(session_current_server->setting.ssl)));
+                break;
+            case SESSION_SERV_SETTING_NICK1:
+                rc = rc && (session_read_str (file, &(session_current_server->setting.nick1)));
+                break;
+            case SESSION_SERV_SETTING_NICK2:
+                rc = rc && (session_read_str (file, &(session_current_server->setting.nick2)));
+                break;
+            case SESSION_SERV_SETTING_NICK3:
+                rc = rc && (session_read_str (file, &(session_current_server->setting.nick3)));
+                break;
+            case SESSION_SERV_SETTING_USERNAME:
+                rc = rc && (session_read_str (file, &(session_current_server->setting.username)));
+                break;
+            case SESSION_SERV_SETTING_REALNAME:
+                rc = rc && (session_read_str (file, &(session_current_server->setting.realname)));
+                break;
+            case SESSION_SERV_SETTING_HOSTNAME:
+                rc = rc && (session_read_str (file, &(session_current_server->setting.hostname)));
+                break;
+            case SESSION_SERV_SETTING_COMMAND_DELAY:
+                rc = rc && (session_read_int (file, &(session_current_server->setting.command_delay)));
+                break;
+            case SESSION_SERV_SETTING_AUTOREJOIN:
+                rc = rc && (session_read_int (file, &(session_current_server->setting.autorejoin)));
                 break;
             case SESSION_SERV_CHILD_PID:
                 rc = rc && (session_read_int (file, &(session_current_server->child_pid)));
Index: src/common/session.h
===================================================================
RCS file: /sources/weechat/weechat/src/common/session.h,v
retrieving revision 1.20
diff -u -d -p -B -r1.20 session.h
--- src/common/session.h	5 Jan 2007 23:41:39 -0000	1.20
+++ src/common/session.h	23 Mar 2007 11:16:59 -0000
@@ -52,24 +52,24 @@ enum t_session_server
 {
     SESSION_SERV_END = 0,
     SESSION_SERV_NAME,
-    SESSION_SERV_AUTOCONNECT,
-    SESSION_SERV_AUTORECONNECT,
-    SESSION_SERV_AUTORECONNECT_DELAY,
+    SESSION_SERV_AUTOCONNECT__UNUSED,
+    SESSION_SERV_AUTORECONNECT__UNUSED,
+    SESSION_SERV_AUTORECONNECT_DELAY__UNUSED,
     SESSION_SERV_COMMAND_LINE,
     SESSION_SERV_ADDRESS,
     SESSION_SERV_PORT,
-    SESSION_SERV_IPV6,
-    SESSION_SERV_SSL,
+    SESSION_SERV_IPV6__UNUSED,
+    SESSION_SERV_SSL__UNUSED,
     SESSION_SERV_PASSWORD,
-    SESSION_SERV_NICK1,
-    SESSION_SERV_NICK2,
-    SESSION_SERV_NICK3,
-    SESSION_SERV_USERNAME,
-    SESSION_SERV_REALNAME,
+    SESSION_SERV_NICK1__UNUSED,
+    SESSION_SERV_NICK2__UNUSED,
+    SESSION_SERV_NICK3__UNUSED,
+    SESSION_SERV_USERNAME__UNUSED,
+    SESSION_SERV_REALNAME__UNUSED,
     SESSION_SERV_COMMAND,
-    SESSION_SERV_COMMAND_DELAY,
+    SESSION_SERV_COMMAND_DELAY__UNUSED,
     SESSION_SERV_AUTOJOIN,
-    SESSION_SERV_AUTOREJOIN,
+    SESSION_SERV_AUTOREJOIN__UNUSED,
     SESSION_SERV_NOTIFY_LEVELS,
     SESSION_SERV_CHILD_PID,
     SESSION_SERV_CHILD_READ,
@@ -90,9 +90,36 @@ enum t_session_server
     SESSION_SERV_CHARSET_DECODE_ISO__UNUSED,
     SESSION_SERV_CHARSET_DECODE_UTF__UNUSED,
     SESSION_SERV_CHARSET_ENCODE__UNUSED,
-    SESSION_SERV_HOSTNAME,
+    SESSION_SERV_HOSTNAME__UNUSED,
     SESSION_SERV_NICK_MODES,
-    SESSION_SERV_AWAY_MESSAGE
+    SESSION_SERV_AWAY_MESSAGE,
+
+    SESSION_SERV_ISSET_AUTOCONNECT,
+    SESSION_SERV_SETTING_AUTOCONNECT,
+    SESSION_SERV_ISSET_AUTORECONNECT,
+    SESSION_SERV_SETTING_AUTORECONNECT,
+    SESSION_SERV_ISSET_AUTORECONNECT_DELAY,
+    SESSION_SERV_SETTING_AUTORECONNECT_DELAY,
+    SESSION_SERV_ISSET_IPV6,
+    SESSION_SERV_SETTING_IPV6,
+    SESSION_SERV_ISSET_SSL,
+    SESSION_SERV_SETTING_SSL,
+    SESSION_SERV_ISSET_NICK1,
+    SESSION_SERV_SETTING_NICK1,
+    SESSION_SERV_ISSET_NICK2,
+    SESSION_SERV_SETTING_NICK2,
+    SESSION_SERV_ISSET_NICK3,
+    SESSION_SERV_SETTING_NICK3,
+    SESSION_SERV_ISSET_USERNAME,
+    SESSION_SERV_SETTING_USERNAME,
+    SESSION_SERV_ISSET_REALNAME,
+    SESSION_SERV_SETTING_REALNAME,
+    SESSION_SERV_ISSET_HOSTNAME,
+    SESSION_SERV_SETTING_HOSTNAME,
+    SESSION_SERV_ISSET_COMMAND_DELAY,
+    SESSION_SERV_SETTING_COMMAND_DELAY,
+    SESSION_SERV_ISSET_AUTOREJOIN,
+    SESSION_SERV_SETTING_AUTOREJOIN,
 };
 
 enum t_session_channel
Index: src/common/weechat.c
===================================================================
RCS file: /sources/weechat/weechat/src/common/weechat.c,v
retrieving revision 1.93
diff -u -d -p -B -r1.93 weechat.c
--- src/common/weechat.c	12 Feb 2007 17:39:35 -0000	1.93
+++ src/common/weechat.c	23 Mar 2007 11:17:00 -0000
@@ -413,15 +413,8 @@ weechat_parse_args (int argc, char *argv
             }
             else
             {
-                if (!server_new (server_tmp.name, server_tmp.autoconnect,
-                                 server_tmp.autoreconnect,
-                                 server_tmp.autoreconnect_delay,
-                                 1, server_tmp.address, server_tmp.port,
-                                 server_tmp.ipv6, server_tmp.ssl,
-                                 server_tmp.password, server_tmp.nick1,
-                                 server_tmp.nick2, server_tmp.nick3,
-                                 NULL, NULL, NULL, NULL, 0,
-                                 server_tmp.autojoin, 1, NULL))
+                server_tmp.command_line = 1;
+                if (!server_clone(&server_tmp))
                     weechat_iconv_fprintf (stderr,
                                            _("%s unable to create server ('%s'), ignored\n"),
                                            WEECHAT_WARNING, argv[i]);
